Difference between revisions of "Quartz64 Installing Arch Linux ARM"

Jump to navigation Jump to search
m
Update the kernel package to a 5.18-rc kernel with PCIe patches
(→‎Finishing Touches: Change from the patched RC package to my PR for the main kernel package)
m (Update the kernel package to a 5.18-rc kernel with PCIe patches)
(2 intermediate revisions by the same user not shown)
Line 1: Line 1:
{{note|This page is a work in progress. If you are not familiar with user-mode QEMU, wait for the 5.16 kernel release. Right now there's still an iffy step left: installing a custom kernel package to get it booting. This will no longer be necessary with Linux 5.16.}}
{{note|This page is a work in progress. If you are not familiar with user-mode QEMU, wait for [https://github.com/archlinuxarm/PKGBUILDs/pull/1918 the necessary kernel config changes] to be made.}}


Commands to be run as a normal user are prefixed with <code>$</code>, commands to be run as root are prefixed with <code>#</code>. We assume your target device is <tt>/dev/sdX</tt>, adjust accordingly.
Commands to be run as a normal user are prefixed with <code>$</code>, commands to be run as root are prefixed with <code>#</code>. We assume your target device is <tt>/dev/sdX</tt>, adjust accordingly.
Line 84: Line 84:
In <tt>/mnt/alarm-root/etc/fstab</tt>, put the lines
In <tt>/mnt/alarm-root/etc/fstab</tt>, put the lines


  PARTUUID=''root-uuid-here''  /      ext4    defaults        0      0
  PARTUUID=''root-uuid-here''  /      ext4    defaults        0      1
  PARTUUID=''boot-uuid-here''  /boot  vfat    defaults        0      1
  PARTUUID=''boot-uuid-here''  /boot  vfat    defaults        0      2


with your UUIDs in place of the placeholder.
with your UUIDs in place of the placeholder.
Line 112: Line 112:
{{note|Here's where you'd do the part I said was iffy and won't be necessary once my PR is merged. You'll need an Arch Linux or Manjaro system. If it's not an aarch64 system, you'll also need <tt>qemu-user-static</tt>.  
{{note|Here's where you'd do the part I said was iffy and won't be necessary once my PR is merged. You'll need an Arch Linux or Manjaro system. If it's not an aarch64 system, you'll also need <tt>qemu-user-static</tt>.  


First, get [https://overviewer.org/~pillow/up/aca7520ff4/linux-aarch64-5.17.1-2-aarch64.pkg.tar.zst the linux-aarch64 package I patched and built], then copy it somewhere into your mounted root.
First, get [https://fratti.ch/quartz64/alarm-kernels/linux-aarch64-rc-5.18.rc6-1-aarch64.pkg.tar.zst the linux-aarch64-rc package I patched and built], then copy it somewhere into your mounted root.


Alternatively, patch and build the package yourself by [https://github.com/archlinuxarm/PKGBUILDs/pull/1918 applying this PR].
Alternatively, patch and build the package yourself by [https://github.com/CounterPillow/PKGBUILDs/commit/622e03ba3753f823ea903bdbbf59c2f400dd2334 using my forked package sources].


Next, <code>arch-chroot</code> into the mounted root:
Next, <code>arch-chroot</code> into the mounted root:
Line 122: Line 122:
and install the package
and install the package


<code># pacman -U linux-aarch64-5.17.1-2-aarch64.pkg.tar.zst</code>
<code># pacman -U linux-aarch64-rc-5.18.rc6-1-aarch64.pkg.tar.zst</code>


Then <code>exit</code> the chroot again once it's done installing.
Then <code>exit</code> the chroot again once it's done installing.
502

edits

Navigation menu